Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
Interface Converter<W>

All Known Implementing Classes:
  AbstractConverter, JSON, JSON, XML, XML

    public interface Converter<W>

Defines an Object that can convert an instance and render it to the response or a supplied writer.

Author:
  Siegfried Puchbauer

Nested Class Summary
`static class` | `Converter.CircularReferenceBehaviour`

Field Summary
`static String` | `DEFAULT_REQUEST_ENCODING`

Method Summary
`void` | `build(groovy.lang.Closure c)`
`void` | `convertAnother(Object o)`
`W` | `getWriter()`
`ObjectMarshaller<? extends Converter>` | `lookupObjectMarshaller(Object target)`
`void` | `render(HttpServletResponse response)` Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation
`void` | `render(Writer out)` Marshalls the target and writes it to a java.io.Writer

Field Detail

### DEFAULT_REQUEST_ENCODING

    static final String DEFAULT_REQUEST_ENCODING

See Also:
  Constant Field Values

Method Detail

### render

    void render(Writer out)
                throws ConverterException

  Marshalls the target and writes it to a java.io.Writer

  Parameters:
    `out` - The Writer to write to
  Throws:
    `ConverterException`

### render

    void render(HttpServletResponse response)
                throws ConverterException

  Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation

  Parameters:
    `response` - The response to write to
  Throws:
    `ConverterException`

### getWriter

    W getWriter()
                throws ConverterException

  Throws:
    `ConverterException`

### convertAnother

    void convertAnother(Object o)
                        throws ConverterException

  Throws:
    `ConverterException`

### build

    void build(groovy.lang.Closure c)
               throws ConverterException

  Throws:
    `ConverterException`

### lookupObjectMarshaller

    ObjectMarshaller<? extends Converter> lookupObjectMarshaller(Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD